@echo off
REM -- First make map file from Microsoft Visual C++ generated resource.h
echo // MAKEHELP.BAT generated Help Map file.  Used by SpyGlass.HPJ. >"hlp\SpyGlass.hm"
echo. >>"hlp\SpyGlass.hm"
echo // Commands (ID_* and IDM_*) >>"hlp\SpyGlass.hm"
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 resource.h >>"hlp\SpyGlass.hm"
echo. >>"hlp\SpyGlass.hm"
echo // Prompts (IDP_*) >>"hlp\SpyGlass.hm"
makehm IDP_,HIDP_,0x30000 resource.h >>"hlp\SpyGlass.hm"
echo. >>"hlp\SpyGlass.hm"
echo // Resources (IDR_*) >>"hlp\SpyGlass.hm"
makehm IDR_,HIDR_,0x20000 resource.h >>"hlp\SpyGlass.hm"
echo. >>"hlp\SpyGlass.hm"
echo // Dialogs (IDD_*) >>"hlp\SpyGlass.hm"
makehm IDD_,HIDD_,0x20000 resource.h >>"hlp\SpyGlass.hm"
echo. >>"hlp\SpyGlass.hm"
echo // Frame Controls (IDW_*) >>"hlp\SpyGlass.hm"
makehm IDW_,HIDW_,0x50000 resource.h >>"hlp\SpyGlass.hm"
REM -- Make help for Project SpyGlass


echo Building Win32 Help files
start /wait hcrtf -x "hlp\SpyGlass.hpj"
echo.
if exist Debug\nul copy "hlp\SpyGlass.hlp" Debug
if exist Debug\nul copy "hlp\SpyGlass.cnt" Debug
if exist Release\nul copy "hlp\SpyGlass.hlp" Release
if exist Release\nul copy "hlp\SpyGlass.cnt" Release
echo.


